# address group

An address group is a group of IPv4 or IPv6 address blocks which could be referenced as a remote source or destination when creating a security group rule.

Network v2

## address group create

Create a new Address Group

    openstack address group create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--description <description>]
        [--address <ip-address>]
        [--project <project>]
        [--project-domain <project-domain>]
        <name>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--description <description>

  New address group description

--address <ip-address>

  IP address or CIDR (repeat option to set multiple addresses)

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

name

  New address group name

## address group delete

Delete address group(s)

    openstack address group delete <address-group> [<address-group> ...]

address-group

  Address group(s) to delete (name or ID)

## address group list

List address groups

    openstack address group list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--name <name>]
        [--project <project>]
        [--project-domain <project-domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <name>

  List only address groups with the specified name

--project <project>

  List only address groups with the specified project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

## address group set

Set address group properties

    openstack address group set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--name <name>]
        [--description <description>]
        [--address <ip-address>]
        <address-group>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--name <name>

  Set address group name

--description <description>

  Set address group description

--address <ip-address>

  IP address or CIDR (repeat option to set multiple addresses)

address-group

  Address group to modify (name or ID)

## address group show

Display address group details

    openstack address group show <address-group>

address-group

  Address group to display (name or ID)

## address group unset

Unset address group properties

    openstack address group unset [--address <ip-address>] <address-group>

--address <ip-address>

  IP address or CIDR (repeat option to unset multiple addresses)

address-group

  Address group to modify (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.